
#include "push_swap.h"

void	print_test(t_list *lst, char *s)
{
	t_stack	**tmpa;
	t_stack	**tmpb;
	t_stack	*a;
	t_stack	*b;

	tmpa = lst->content;
	tmpb = lst->next->content;
	a = *tmpa;
	b = *tmpb;
	ft_printf("%s -> a: %12i . %12i . ", s, tmpa, a);
	if (a)
		ft_printf("%12i", a->n);
	else
		ft_printf("        NULL");
	ft_printf(" | b: %12i . %12i . ", tmpb, b);
	if (b)
		ft_printf("%12i \n", b->n);
	else
		ft_printf("        NULL\n");

	//ft_printf("%s -> a: %i , %i , %i / b: %i , %i, %i \n", s, tmpa, a, a->n, tmpb, b, b->n);
}

void	ps_usage(void)
{
	ft_printf("usage :\n");
	ft_printf("launch executable : ./push_swap [flag -p] nb nb nb nb nb ...\n");
}

void	ps_error(int err)
{
	if (err == 1)
		ps_usage();
	if (err == 2)
		ft_printf("error\n");	
	exit(0);
}

void	ps_stop(t_stack *stack, t_list *lst, int err)
{
	/*
	t_stack	**a;
	t_stack	**b;
	t_list	*solution;

	if (stack)
		ft_lstclear((t_list **)&stack, NULL);
	if (lst)
	{
		a = lst->content;
		b = lst->next->content;
		ft_lstclear((t_list **)a, NULL);
		ft_lstclear((t_list **)b, NULL);
		ft_lstclear(&lst, free);
	}
	(void)solution;
	*/

	/*
	t_list *tmp;
	t_stack **aa;
	t_stack **bb;
	t_stack *a;
	t_stack *b;

	aa = lst->content;
	a = *aa;
	bb = lst->next->content;
	b = *bb;
//	ft_putnbrendl(a->n);
//	ft_putnbrendl(b->n);

	tmp = lst;
	lst = lst->next;
	free(tmp);

	tmp = lst;
	lst = lst->next;
	free(tmp);

	while (lst)
	{
		tmp = lst->next;
		free(lst->content);
		free(lst);
		lst = tmp;
	}
	(void)a;
	(void)b;
	*/

print_test(lst, "ps_stop                  ");

	if (err < 0)
		return ;
	else if (err > 0)
		ps_error(err);
	(void)stack;
	(void)lst;
}
